package entity

import (
	"go.mongodb.org/mongo-driver/bson/primitive"
)

// Category 類別以後獨立服務
type Category struct {
	ID        primitive.ObjectID `bson:"_id,omitempty"`
	Name      string             `bson:"name"`       // 服務類別
	UpdatedAt int64              `bson:"updated_at"` // 更新時間
	CreatedAt int64              `bson:"created_at"` // 創建時間
}

func (c *Category) CollectionName() string {
	return "category"
}
