package entity

import "go.mongodb.org/mongo-driver/bson/primitive"

type TagsBindingTable struct {
	ID          primitive.ObjectID `bson:"_id,omitempty"`
	ReferenceID string             `bson:"reference_id"` // 參照 id (可能為專案或其他的東西）
	TagID       string             `bson:"tag_id"`       // tag id
	UpdatedAt   int64              `bson:"updated_at"`   // 更新時間
	CreatedAt   int64              `bson:"created_at"`   // 創建時間
}

func (tbt *TagsBindingTable) CollectionName() string {
	return "tag_binding_table"
}
